oxigraph-serve(1)

NAME
oxigraph-serve - Start Oxigraph HTTP server in read-write mode

SYNOPSIS
oxigraph serve [-l|--location] [-b|--bind] [--cors] [--union-default-graph] [--timeout-s] [-h|--help]

DESCRIPTION
Start Oxigraph HTTP server in read-write mode

OPTIONS

-l, --location <LOCATION>
    Directory in which the data should be persisted

    If not present, an in-memory storage will be used.

-b, --bind <BIND> [default: localhost:7878]
    Host and port to listen to

--cors
    Allows cross-origin requests

--union-default-graph
    If the SPARQL queries should look for triples in all the dataset graphs by default (i.e., without `GRAPH` operations)

    This is equivalent as setting the union-default-graph option in all SPARQL queries

--timeout-s <TIMEOUT_S>
    Timeout for request processing in seconds

    Currently only used for SPARQL queries

    Might be used to set up things like HTTP query timeout

-h, --help
    Print help (see a summary with '-h')